<?php

namespace Drupal\sfc;

/**
 * An interface for compiled components.
 */
interface CompiledComponentInterface {

  /**
   * Writes the source code of the component to files.
   *
   * Typically this is done in a .gitignore'd directory that can be watched and
   * compiled to product assets.
   */
  public function writeSource();

  /**
   * Determines if the source should be written - i.e. if it's out of date.
   */
  public function shouldWriteSource();

}
